<?php
namespace Ak\Image;

use Ak\Lib\File\FileInterface;

/**
 * Slika.
 *
 * @package Ak\Image
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/image
 */
interface ImageInterface extends FileInterface
{
    /**
     * Vraća visinu slike u pikselima.
     *
     * @return int
     */
    public function getHeight(): int;

    /**
     * Vraća širinu slike u pikselima.
     *
     * @return int
     */
    public function getWidth(): int;
}