<?php
namespace Ak\Image;

use Imagick;

/**
 * Slike koje mogu pružiti Imagick objekt za obradu.
 *
 * @package Ak\Image
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/image
 */
interface ImagickAwareInterface
{
    /**
     * Vraća Imagick objekt u koji je učitana ova slika.
     *
     * @return Imagick
     */
    public function getImagick(): Imagick;
}